$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
//    $(".tbody").on("blur", '.rate', autoAddRows);
    $("body").on("keyup change blur", '.amount, .subtotal, .litemdisc, .cdicsperc, .cdiscamt, .lessoth, .vatperc, .vatamt, .packing, .netamt', mainbCal);
    $("body").on("focus", '.amount', autoAddRows);
    
    
     $(document).keydown(function (event) {
        if (!(String.fromCharCode(event.which).toLowerCase() == 'd' && event.altKey) && !(event.which == 19))
            return true;
        $(".cdicsperc ").focus();
        event.preventDefault();
        return false;
    });
    
    $('#addnew').click(function () {
        AddRows();
    });

    function autoAddRows() {
        var ctr = $('#items').val();
        var tr = $(this).closest("tr");
        var srno = tr.find(".srno").val(); 
        if (srno == ctr) {
            AddRows();

        }
    }

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('credoth_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    function mainbCal() {
        
        
         var val = 0;
        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                val += parseFloat(this.value);
            }
        });
        
        $(".subtotal").val(val);
        
        var subtot = $(".subtotal").val();
//        var litemdisc = $(".litemdisc").val();
        var lessoth = $(".lessoth").val();

        var discperc = $(".cdicsperc").val(),
                cdiscamt = (discperc * subtot) / 100;

        if (isNaN(cdiscamt)) {
            $('.cdiscamt').val("0");
        } else {
            $('.cdiscamt').val(cdiscamt);
        }


        var subtot1 = subtot - cdiscamt - lessoth;
        
        var vatperc = $(".vatperc").val(),
                vatamt = (vatperc * subtot1) / 100;

        if (isNaN(vatamt)) {
            $('.vatamt').val("0");
        } else {
            $('.vatamt').val(vatamt);
        }


        var pack = $(".packing").val();

        var net = parseFloat(subtot1) + parseFloat(vatamt) + parseFloat(pack);

        if (isNaN(net)) {
            $('.netamt').val("0");
        } else {
            $('.netamt').val(net);
        }
    }


});